//disabling context menu

document.onkeydown = function (e) {

    if (e.ctrlKey &&

        (e.keyCode === 67 ||

            e.keyCode === 86 ||

            e.keyCode === 85 ||

            e.keyCode === 117)) {

        return false;

    } else {

        return true;

    }

};

$(document).keypress("u", function (e) {

    if (e.ctrlKey) {

        return false;

    }

    else {

        return true;

    }

});

document.addEventListener("contextmenu", function (e) {

    e.preventDefault();

}, false);


function stickyHeader() {

    if ($('.menubar').length) {

        var strickyScrollPos = 100;

        if ($(window).scrollTop() > strickyScrollPos) {

            $('.menubar').addClass('stricky-fixed');

        } else if ($(this).scrollTop() <= strickyScrollPos) {

            $('.menubar').removeClass('stricky-fixed');

        }

    };

}



jQuery(window).on('scroll', function () {

    (function ($) {

        stickyHeader();

    })(jQuery);

});





if ($(".navigation").length) {

    $(".navigation .navbar button").on("click", function () {

        $(".navigation .menu").slideToggle();

        $(this).toggleClass('open');

        return false;

    });

    $(".navigation .cs-submenu").children("a").append(function () {

        return '<button class="dropdown-expander"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z"/></svg></button>';

    });



}

// $(".telePhone").intlTelInput({

//     preferredCountries: ["au", "nz"],

//     initialCountry: "au",

//     separateDialCode: true,

// });



// $('.iti__country-list li').click(function(){



// $("#code").val($(this).data('dial-code'));

// $(".mobile").val($(this).data('country-code-code'));

// $('.countryName').val($(".iti__country-name", this).text());

// $(".code").val($(this).data('dial-code'));

// $('.countryName').val($(".iti__country-name", this).text());

// $('.countryName1').val($(".iti__country-name", this).text());

// });

if (document.documentElement.clientWidth < 1023) {

    $(".navigation .menu .dropdown-expander").on("click", function () {

        $(this).parent().parent().children(".cs-dropdown").slideToggle();

        console.log($(this).parents("li"));

        console.log($(this).parents().children(".dropdown-expander").toggleClass("rotated"));

        return false

    })

    $(document).click(function (e) {

        if (!$(e.target).closest('.navigation .navbar button').length) {

            $('.navigation .menu').stop(true).slideUp();

            $(".navigation .navbar button").removeClass('open');



        }

    });

}





var homeSlider1 = $("#slider1");

homeSlider1.owlCarousel({

    loop: true,

    margin: 0,

    navSpeed: 500,

    nav: true,

    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],

    autoplay: true,

    dots: false,

    animateOut: "fadeOut",

    items: 1,

    responsiveClass: true,

    responsive: {

        0: {

            nav: false

        },

        600: {

            nav: false

        },

        1024: {},

        1100: {}

    }

});



var featuredProducts = $(".featuredProducts");

featuredProducts.owlCarousel({

    loop: false,

    margin: 20,

    navSpeed: 500,

    nav: true,

    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],

    autoplay: false,

    dots: false,

    items: 4,

    responsiveClass: true,

    responsive: {

        0: {

            items: 1

        },

        600: {

            items: 1,

        },

        768: {

            items: 3

        },

        1024: {

            items: 4

        }

    }

});

var featuredProducts2 = $(".featuredProducts2");

featuredProducts2.owlCarousel({

    loop: false,

    margin: 20,

    navSpeed: 500,

    nav: false,

    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],

    autoplay: false,

    dots: false,

    items: 3,

    responsiveClass: true,

    responsive: {

        0: {

            items: 1

        },

        600: {

            items: 1,

        },

        768: {

            items: 2

        },

        1024: {

            items: 3

        }

    }

});



var testimonials = $("#testimonials");

testimonials.owlCarousel({

    loop: true,

    margin: 12,

    navSpeed: 500,

    nav: false,

    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],

    autoplay: true,

    dots: false,

    items: 2,

    responsiveClass: true,

    responsive: {

        0: {

            items: 1

        },

        600: {

            items: 1,

        },

        1024: {

            items: 2

        },

        1100: {

            items: 2

        }

    }

});



var clients = $("#clients");

clients.owlCarousel({

    loop: true,

    margin: 15,

    navSpeed: 500,

    nav: false,

    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],

    autoplay: true,

    dots: true,

    items: 5,

    responsiveClass: true,

    responsive: {

        0: {

            items: 2

        },

        600: {

            items: 2,

        },

        1024: {

            items: 5

        },

        1100: {

            items: 5

        }

    }

});



wow = new WOW({

    animateClass: 'animated',

    offset: 100,

    mobile: false

});

wow.init();

$(window).on('scroll', function () {

    if ($(this).scrollTop() > 100) {

        $('#web-pulse-scroll-up').fadeIn();

    } else {

        $('#web-pulse-scroll-up').fadeOut();

    }

});

$('#web-pulse-scroll-up').on('click', function () {

    $("html, body").animate({

        scrollTop: 0

    }, 600);

    return false;

});

$('#thumbs img').click(function () {

    $('#largeImage').attr('src', $(this).attr('src').replace('thumb', 'large'));

    if ($(this).hasClass("active")) {

        $("#thumbs img").removeClass("active");

    } else {

        $("#thumbs img").removeClass("active");

        $(this).addClass("active");

    }

});

